//
//  PQBFConfig.swift
//  BFFramework
//
//  Created by SanW on 2021/6/4.
//  111

import UIKit

public class PQBFConfig: NSObject {
    public static let shared = PQBFConfig()
    /**
     // 主题适配方案一
     styleColor = nomal
     statusBarStyle = .light
     backgroundColor = UIColor.hexColor(hexadecimal: "#191919")
     styleTitleColor: UIColor = UIColor.white
     cutViewStyleColor: UIColor = UIColor.white
     cutViewTintColor: UIColor = UIColor.black
     materialDeleteImage = UIImage.init().BF_Image(named:"icon_search_delete")
     cutDurationColor = UIColor.init(red: 238.0 / 255.0, green: 0 / 255.0, blue: 81.0 / 255.0, alpha: 0.1)
     hiddenMusicMask = false
     otherTintColor = UIColor.hexColor(hexadecimal: "#333333")
     //主题适配方案二
     styleColor = green
     statusBarStyle = .dark
     backgroundColor = UIColor.white
     styleTitleColor: UIColor = UIColor.black
     cutViewStyleColor: UIColor = UIColor.hexColor(hexadecimal: "#3DC1C1")
     cutViewTintColor: UIColor = UIColor.white
     materialDeleteImage = UIImage.init().BF_Image(named:"deleteAudio")
     cutDurationColor = UIColor.init(red: 61.0 / 255.0, green: 193.0 / 255.0, blue: 193.0 / 255.0, alpha: 0.1)
     hiddenMusicMask = true
     otherTintColor = UIColor.hexColor(hexadecimal: "#F2F2F2")
     */
    // 主题色
    public var styleColor: styleColor = .green
    // statusBarStyle
    public var statusBarStyle: statusBarStyle = .dark
    // 背景色
    public var styleBackGroundColor: UIColor = UIColor.white
    // 主题标题色
    public var styleTitleColor: UIColor = UIColor.black
    // 裁剪主题色
    public var cutViewStyleColor: UIColor = UIColor.hexColor(hexadecimal: "#3DC1C1")
    // 素材删除图
    public var materialDeleteImage: UIImage? = UIImage().BF_Image(named: "deleteAudio")
    // 裁剪主题色61, 193, 193
    public var cutDurationColor: UIColor = UIColor(red: 61.0 / 255.0, green: 193.0 / 255.0, blue: 193.0 / 255.0, alpha: 0.1)
    // 裁剪主题色
    public var cutViewTintColor: UIColor = UIColor.white
    // 裁剪主题色
    public var hiddenMusicMask: Bool = true
    public var otherTintColor: UIColor = UIColor.hexColor(hexadecimal: "#F2F2F2")

    // 微信登陆信息
//    public var appInfo: WXApiInfo?
    // 渠道
    public let channelID: String = "AppStore"
    // 友盟账号 快乐星球：60b9fa644d0228352bbc8937 闪音：60b9f95b4d0228352bbc87e0
    public var umAppkey: String = "60b9f95b4d0228352bbc87e0"
    // bugly账号 快乐星球：b7411e0d-f214-433c-9343-366b9ca99a53
    // 闪音：6c481442-aeb4-49ec-a2ae-21359bfef44a
    public var buglyAppkey: String = "6c481442-aeb4-49ec-a2ae-21359bfef44a"

    // add by ak 公用参数使用
    public var appType: String = "15"
    // 苹果后台创建的 APPID
    public var appId: String = "1570572849"

    // 是否可打印 LOG
    public var enableBFLog: Bool = false

    override private init() {
        super.init()
    }

    override public func copy() -> Any {
        return self
    }

    override public func mutableCopy() -> Any {
        return self
    }
}
